Bug 442099 - Create new item in Help menu to facilitate discovery of the "search all commands" HUD feature
Summary: Create new item in Help menu to facilitate discovery of the "search all comma...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kxmlgui
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-09-06 23:23 UTC by Michael
Modified: 2022-02-15 19:48 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.92


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael 2021-09-06 23:23:26 UTC
SUMMARY

(This bug applies not only to Dolphin but to Kate, Kmail, Gwenview, and every other program that appears to use KHamburgerMenu. There is no bugs category for KHamburgerMenu, so I'm posting here, excuse me in advance.)

There is no way to discover that Ctrl-Alt-I brings up the excellent command search HUD box. 

The keyboard shortcut cannot even be discovered in System Settings -> Shortcuts after intently looking for 5 minutes.


STEPS TO REPRODUCE

1. Look in all menus of Dolphin (or Kate, or Kmail...) to see if there is a mention of how to discover and invoke the command search HUD via Ctrl-Alt-I.


OBSERVED RESULT

There is no menu item entry in any menu that would help others to find this useful feature. There is no way to know other than to be in-the-know.


EXPECTED RESULT

In the Help menu, have a menu item that says something like:

   Quick search all commands          Ctrl-Alt-I


SOFTWARE/OS VERSIONS

Operating System: KDE neon 5.22
KDE Plasma Version: 5.22.5
KDE Frameworks Version: 5.85.0
Qt Version: 5.15.3
Kernel Version: 5.11.0-27-generic (64-bit)
Graphics Platform: X11
Comment 1 Nate Graham 2021-09-08 21:06:13 UTC
KHamburgerMenu likes in KConfigWidgets, but this feature is not specific to KHamburgerMenu. Probably we need an item added to the general help menu which I think lives in KXMLGui?
Comment 2 Felix Ernst 2021-09-09 09:31:53 UTC
I totally agree with what this bug report wishes for.

>this feature is not specific to KHamburgerMenu
I agree. This should have no relation to KHamburgerMenu code-wise. The hamburger menu only displays the Help menu from the menu bar.

>Probably we need an item added to the general help menu which I think lives in KXMLGui?
I think so too. I think it is likely that this can be fully implemented without touching anything outside of the KXmlGui framework.
Comment 3 Waqar Ahmed 2022-02-13 15:13:20 UTC
Fixed with https://invent.kde.org/frameworks/kxmlgui/-/merge_requests/95
Comment 4 Michael 2022-02-15 19:48:54 UTC
Awesome! Thank you Waqar Ahmed 🙏